Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class Method

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.AccessFlags
          org.apache.tomcat.util.bcel.classfile.FieldOrMethod
              org.apache.tomcat.util.bcel.classfile.Method

All Implemented Interfaces:
  Serializable, Cloneable

    public final class Method

extends FieldOrMethod

This class represents the method info structure, i.e., the representation for a method in the class. See JVM specification for details. A method has access flags, a name, a signature and a number of attributes.

Version:
  $Id: Method.java 1181133 2011-10-10 18:49:14Z markt $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.FieldOrMethod
`attributes, attributes_count, constant_pool, name_index, signature_index`

Fields inherited from class org.apache.tomcat.util.bcel.classfile.AccessFlags
`access_flags`

Constructor Summary
`Method()` Empty constructor, all attributes have to be defined via `setXXX' methods.

Method Summary
`boolean` | `equals(Object obj)` Return value as defined by given BCELComparator strategy.
`Code` | `getCode()`
`ExceptionTable` | `getExceptionTable()`
`LocalVariableTable` | `getLocalVariableTable()`
`int` | `hashCode()` Return value as defined by given BCELComparator strategy.
`String` | `toString()` Return string representation close to declaration format, `public static void main(String[] args) throws IOException', e.g.

Methods inherited from class org.apache.tomcat.util.bcel.classfile.FieldOrMethod
`getName, getSignature, setAttributes`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.AccessFlags
`getAccessFlags`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Method

    public Method()

  Empty constructor, all attributes have to be defined via `setXXX' methods. Use at your own risk.

Method Detail

### getCode

    public final Code getCode()

  Returns:
    Code attribute of method, if any

### getExceptionTable

    public final ExceptionTable getExceptionTable()

  Returns:
    ExceptionTable attribute of method, if any, i.e., list all exceptions the method may throw not exception handlers!

### getLocalVariableTable

    public final LocalVariableTable getLocalVariableTable()

  Returns:
    LocalVariableTable of code attribute if any, i.e. the call is forwarded to the Code atribute.

### toString

    public final String toString()

  Return string representation close to declaration format, `public static void main(String[] args) throws IOException', e.g.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation of the method.

### equals

    public boolean equals(Object obj)

  Return value as defined by given BCELComparator strategy. By default two method objects are said to be equal when their names and signatures are equal.

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Return value as defined by given BCELComparator strategy. By default return the hashcode of the method's name XOR signature.

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.